const TaskBase = require("../task.base");
const system = require("../../system");
const logCtl = system.getObject("web.oplogCtl");

class EContractTask extends TaskBase {
  constructor() {
    super(TaskBase.getServiceName(EContractTask));
    this.econtractSve = system.getObject("service.econtractSve");
  }
  async subDoTask() {
    console.log("begin do EContractTask ----------------------------------- ");
    await this.econtractSve.downloadCompleteUrl();
    await this.econtractSve.syncAllSigners();
    console.log("end do EContractTask ----------------------------------- ");
  }
}
module.exports = EContractTask;